Bug 1992 - Oops messages from kernel after kernel update
: Oops messages from kernel after kernel update
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Marathon
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-06 15:38 MSD by FirstLevel
Modified: 2013-12-24 12:01 MSK (History)
6 users (show)

See Also:
RPM Package: kernel-nrj-desktop-3.0.69-1rosa.lts-1-1
ISO-related:
Bad POT generating:
Upstream:


Attachments
messages.oops (311.54 KB, application/octet-stream)
2013-05-08 09:49 MSD, FirstLevel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description FirstLevel 2013-05-06 15:38:09 MSD
Description of problem:
I have installed ROSA 2012 LTS
After updating to kernel 3.0.69 I get messages from kernel like these:
Служба локальных системных сообщений: Message from syslogd@localhost at May 2 19:04:30 ...
kernel:Oops: 0000 [#1] PREEMPT SMP 

Message from syslogd@localhost at May 2 19:04:30 ...
kernel:Process soffice.bin (pid: 4497, ti=d0bdc000 task=d0a82640 task.ti=d0bdc000)

Message from syslogd@localhost at May 2 19:04:30 ...
kernel:Stack:

Message from syslogd@localhost at May 2 19:04:30 ...
kernel:Call Trace:

Message from syslogd@localhost at May 2 19:04:30 ...
kernel:Code: 75 f8 8b 5d f4 8b 7d fc 89 ec 5d c3 90 31 db 8b 75 f8 89 d8 8b 7d fc 8b 5d f4 89 ec 5d c3 8d b4 26 00 00 00 00 8b 45 f0 8b 78 14 4f 38 8b 57 34 39 4d 0c 89 4d e4 89 55 e0 0f 87 9e 00 00 00 

Message from syslogd@localhost at May 2 19:04:30 ...
kernel:EIP: [] bfq_close_cooperator+0x10e/0x210 SS:ESP 0068:d0bdda9c

Message from syslogd@localhost at May 2 19:04:30 ...
kernel:CR2: 0000000000000038

Is it normal? I have reinstalled kernel but such messages are appeared again.
With old kernel  3.0.38-nrj-desktop-1rosa.lts I have no messages from kernel at all.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
Comment 1 Eugene Shatokhin 2013-05-06 15:49:41 MSD
No kernel oopses are not normal. We should investigate this.

The system log (/var/log/messages) should contain more info about the problem, esp. the call trace. Please look for "Oops: 0000 [#1] PREEMPT SMP" in /var/log/messages for the needed date, then post the whole oops report here.

Besides that, hardware info could also be helpful (lspci, etc., as usual).

And what was the user doing when the oops happened? It seems, LibreOffice was running? Any specific details could be valuable here.
Comment 2 Postnikov Dmitry 2013-05-06 16:20:48 MSD
Judging by the conclusion of messages, LibreOffice does not want to work with BFQ I/O sheduler. BFQ new shedulerр, was added to the new kernel. This is the whole problem.
Comment 3 Alexander Burmashev 2013-05-06 16:33:55 MSD
I am going to prepare 3.0.69 with BFQ disabled soon ( hopefully today ).
Comment 4 Alexander Burmashev 2013-05-07 13:49:26 MSD
Try please this kernels:
i586
meta package
https://abf.rosalinux.ru/build_lists/1077623
kernel
https://abf.rosalinux.ru/build_lists/1077410


x86_64
meta package
https://abf.rosalinux.ru/build_lists/1077624
kernel
https://abf.rosalinux.ru/build_lists/1077411
Comment 5 FirstLevel 2013-05-08 09:49:40 MSD
I have attached /var/log/messages to bug
Comment 6 FirstLevel 2013-05-08 09:49:52 MSD
Created attachment 1347 [details]
messages.oops
Comment 7 Alexander Burmashev 2013-05-08 11:51:10 MSD
try new package with BGQ disabled please
Comment 8 Zombie Ryushu 2013-06-15 12:12:47 MSD
I have this issue as well. 

------------[ cut here ]------------
WARNING: at kernel/exit.c:910 do_exit+0x63/0x910()
Hardware name: System Product Name
Modules linked in: fuse nvidia(P) snd_hrtimer ipt_IFWLOG ipt_psd xt_state ipt_REDIRECT ipt_MASQUERADE ip6table_filter bridge stp xt_AUDIT ipt_LOG xt_time xt_connlimit xt_helper xt_realm xt_NFQUEUE xt_tcpmss xt_tcpudp xt_addrtype xt_pkttype xt_set ip_set_hash_ip ip_set nfnetlink iptable_raw xt_TPROXY nf_tproxy_core ip6_tables nf_defrag_ipv6 xt_CLASSIFY xt_mark xt_hashlimit xt_comment ipt_REJECT xt_length ipcomp xt_connmark xfrm_ipcomp ah4 esp4 xt_owner xt_recent xt_iprange xt_physdev xt_policy iptable_mangle iptable_nat nf_nat xt_multiport nf_conntrack_ipv4 nf_defrag_ipv4 deflate zlib_deflate xt_conntrack nf_conntrack ctr twofish_generic twofish_x86_64 twofish_common camellia serpent blowfish cast5 iptable_filter des_generic ip_tables x_tables cbc cryptd aes_x86_64 aes_generic xcbc rmd160 sha512_generic sha256_generic sha1_generic crypto_null af_key tun capi kernelcapi binfmt_misc dm_mirror dm_region_hash dm_log dm_mod raid1 af_packet joydev usbhid hid usb_storage snd_hda_codec_hdmi i2c_piix4 snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device eeepc_wmi asus_wmi sparse_keymap rfkill pci_hotplug snd_pcm_oss snd_pcm i2c_core ehci_hcd xhci_hcd snd_timer ohci_hcd snd_mixer_oss 8139too sg sr_mod usbcore r8169 mii button snd wmi k10temp soundcore processor snd_page_alloc evdev ipv6 autofs4 ata_piix ahci libahci libata sd_mod scsi_mod crc_t10dif ext3 jbd [last unloaded: nvidia]
Pid: 1376, comm: md1_raid1 Tainted: P      D W   3.0.69-nrj-desktop-1rosa.lts #1
Call Trace:
 [<ffffffff8105521f>] warn_slowpath_common+0x7f/0xc0
 [<ffffffff8105527a>] warn_slowpath_null+0x1a/0x20
 [<ffffffff81059113>] do_exit+0x63/0x910
 [<ffffffff81056f61>] ? kmsg_dump+0xb1/0xe0
 [<ffffffff8142578a>] oops_end+0xaa/0xf0
 [<ffffffff8141a49d>] no_context+0x209/0x218
 [<ffffffff8104ce17>] ? wake_up_process+0x27/0x50
 [<ffffffff8141a627>] __bad_area_nosemaphore+0x17b/0x1bd
 [<ffffffff81070fc2>] ? __queue_work+0xe2/0x450
 [<ffffffff8141a67c>] bad_area_nosemaphore+0x13/0x15
 [<ffffffff814277c2>] do_page_fault+0x432/0x5c0
 [<ffffffff81071395>] ? queue_work_on+0x25/0x30
 [<ffffffff81204c95>] ? kblockd_schedule_work+0x15/0x20
 [<ffffffffa0046c22>] ? __scsi_queue_insert+0xb2/0x130 [scsi_mod]
 [<ffffffff8121ff3a>] ? bfq_cic_lookup+0x8a/0x160
 [<ffffffff81424b15>] page_fault+0x25/0x30
 [<ffffffff81220d7f>] ? bfq_close_cooperator+0xef/0x190
 [<ffffffff81220e5d>] bfq_setup_cooperator.part.74+0x3d/0x140
 [<ffffffff812213d5>] bfq_allow_merge+0xe5/0xf0
 [<ffffffff81201f1f>] elv_rq_merge_ok+0xbf/0xd0
 [<ffffffff81202460>] elv_try_merge+0x20/0x60
 [<ffffffff81209f8a>] __make_request+0x7a/0x3b0
 [<ffffffff81207e87>] generic_make_request+0x2b7/0x620
 [<ffffffff81041f99>] ? perf_event_task_sched_out+0x29/0x90
 [<ffffffff81001708>] ? __switch_to+0xf8/0x360
 [<ffffffffa0362167>] flush_pending_writes+0x77/0xb0 [raid1]
 [<ffffffffa03644aa>] raid1d+0x52a/0xf20 [raid1]
 [<ffffffff8142204f>] ? schedule+0x3f/0x60
 [<ffffffff810784ac>] ? prepare_to_wait+0x1c/0x90
 [<ffffffff8132e026>] md_thread+0x126/0x150
 [<ffffffff81078650>] ? add_wait_queue+0x60/0x60
 [<ffffffff8132df00>] ? md_import_device+0x270/0x270
 [<ffffffff81077cec>] kthread+0x8c/0xa0
 [<ffffffff8142c4e4>] kernel_thread_helper+0x4/0x10
 [<ffffffff81077c60>] ? kthread_worker_fn+0x190/0x190
 [<ffffffff8142c4e0>] ? gs_change+0x13/0x13
---[ end trace 292a9524dcd29b7e ]---
Comment 9 Denis Silakov 2013-12-23 12:59:09 MSK
Is this bug still valid?
Comment 10 Zombie Ryushu 2013-12-24 05:30:08 MSK
I think it was fixed in 3.0.69-2rosa,
Comment 11 Denis Silakov 2013-12-24 12:01:31 MSK
Ok, let's close then.